# frozen_string_literal: true

module Jekyll
  module Filters
    module Sample
      # Returns a random item from an Array.
      #
      # Example usage:
      #
      # {{ site.posts | sample }}
      # {{ site.posts | sample: 3 }}
      #
      # @input [Array]
      # @return [Any]
      def sample(input, amount = 1)
        return unless input.respond_to? :sample

        input.sample(amount)
      end
    end
  end
end

Liquid::Template.register_filter(Jekyll::Filters::Sample)
